// Squawk messenger. 
// Copyright (C) 2019  Yury Gubich <blue@macaw.me>
// 
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

#include "credentialsprompt.h"
#include "ui_credentialsprompt.h"

CredentialsPrompt::CredentialsPrompt(QWidget* parent):
    QDialog(parent),
    m_ui(new Ui::CredentialsPrompt),
    title(),
    message()
{
    m_ui->setupUi(this);

    title = windowTitle();
    message = m_ui->message->text();
}

CredentialsPrompt::~CredentialsPrompt()
{
}

void CredentialsPrompt::setAccount(const QString& account)
{
    m_ui->message->setText(message.arg(account));
    setWindowTitle(title.arg(account));
}

QString CredentialsPrompt::getLogin() const
{
    return m_ui->login->text();
}

QString CredentialsPrompt::getPassword() const
{
    return m_ui->password->text();
}

void CredentialsPrompt::setLogin(const QString& login)
{
    m_ui->login->setText(login);
}

void CredentialsPrompt::setPassword(const QString& password)
{
    m_ui->password->setText(password);
}
