// Squawk messenger. 
// Copyright (C) 2019  Yury Gubich <blue@macaw.me>
// 
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

#ifndef CREDENTIALSPROMPT_H
#define CREDENTIALSPROMPT_H

#include <qdialog.h>
#include <QScopedPointer>

namespace Ui
{
class CredentialsPrompt;
}

/**
 * @todo write docs
 */
class CredentialsPrompt : public QDialog
{
    Q_OBJECT

public:
    CredentialsPrompt(QWidget* parent = nullptr);
    ~CredentialsPrompt();

    void setAccount(const QString& account);
    void setLogin(const QString& login);
    void setPassword(const QString& password);

    QString getLogin() const;
    QString getPassword() const;

private:
    QScopedPointer<Ui::CredentialsPrompt> m_ui;
    QString title;
    QString message;
};

#endif // CREDENTIALSPROMPT_H
