// Squawk messenger. 
// Copyright (C) 2019  Yury Gubich <blue@macaw.me>
// 
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

#include "description.h"
#include "ui_description.h"

UI::Description::Description(QWidget* parent):
    QWidget(parent),
    m_ui(new Ui::Description())
{
    m_ui->setupUi(this);
}

UI::Description::~Description() {}

QString UI::Description::title() const {
    return m_ui->descriptionHeading->text();
}

QString UI::Description::description() const {
    return m_ui->description->toPlainText();
}

void UI::Description::setDescription(const QString& description) {
    m_ui->description->setText(description);
}

void UI::Description::setEditable(bool editable) {
    m_ui->description->setReadOnly(!editable);
}

