// Squawk messenger. 
// Copyright (C) 2019  Yury Gubich <blue@macaw.me>
// 
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

#ifndef UI_WIDGETS_DESCRIPTION_H
#define UI_WIDGETS_DESCRIPTION_H

#include <QWidget>
#include <QScopedPointer>

namespace UI {
namespace Ui
{
class Description;
}

class Description : public QWidget {
    Q_OBJECT
public:
    Description(QWidget* parent = nullptr);
    ~Description();

    QString title() const;
    QString description() const;
    void setEditable(bool editable);
    void setDescription(const QString& description);

private:
    QScopedPointer<Ui::Description> m_ui;
};

}

#endif // UI_WIDGETS_DESCRIPTION_H
