/*
 * Squawk messenger.
 * Copyright (C) 2019 Yury Gubich <blue@macaw.me>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef PAGEAPPEARANCE_H
#define PAGEAPPEARANCE_H

#include <QWidget>
#include <QScopedPointer>
#include <QStyleFactory>
#include <QVariant>
#include <QSettings>
#include <vector>

#include "shared/global.h"

namespace Ui
{
class PageAppearance;
}

/**
 * @todo write docs
 */
class PageAppearance : public QWidget
{
    Q_OBJECT
public:
    PageAppearance(QWidget* parent = nullptr);
    ~PageAppearance();

signals:
    void variableModified(const QString& key, const QVariant& value);

protected slots:
    void onStyleChanged(int index);
    void onThemeChanged(int index);

private:
    QScopedPointer<Ui::PageAppearance> m_ui;
    std::vector<QString> styles;
    std::vector<QString> themes;
};

#endif // PAGEAPPEARANCE_H
