/*
 * Squawk messenger.
 * Copyright (C) 2019 Yury Gubich <blue@macaw.me>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef PAGEGENERAL_H
#define PAGEGENERAL_H

#include <QWidget>
#include <QScopedPointer>
#include <QVariant>
#include <QSettings>
#include <QFileDialog>
#include <QSystemTrayIcon>

namespace Ui
{
class PageGeneral;
}

/**
 * @todo write docs
 */
class PageGeneral : public QWidget
{
    Q_OBJECT
public:
    PageGeneral(QWidget* parent = nullptr);
    ~PageGeneral();

signals:
    void variableModified(const QString& key, const QVariant& value);

private slots:
    void onBrowseButtonClicked();
    void onDialogAccepted();
    void onDialogDestroyed();
    void onTrayChecked(int state);
    void onHideTrayChecked(int state);

private:
    QScopedPointer<Ui::PageGeneral> m_ui;
    QFileDialog* dialog;
};

#endif // PAGEGENERAL_H
