/*
 * Squawk messenger.
 * Copyright (C) 2019 Yury Gubich <blue@macaw.me>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#pragma once

#include <QListWidget>
#include <QResizeEvent>
#include <QStyleOptionViewItem>

class SettingsList : public QListWidget {
    Q_OBJECT
public:
    SettingsList(QWidget* parent = nullptr);
    ~SettingsList();

protected:
#if QT_VERSION >= QT_VERSION_CHECK(6, 0, 0)
    void initViewItemOption(QStyleOptionViewItem* option) const override;
#else
    QStyleOptionViewItem viewOptions() const override;
#endif

    void resizeEvent(QResizeEvent * event) override;
    QRect visualRect(const QModelIndex & index) const override;

private:
    int lastWidth;
};
